#!/bin/sh
# -------------------------------------------------------------------------
# Permet d'avoir l'écran du portable
# l'écran de la tablette Cintiq 13HD par dessus (afin d'avoir les deux visuels
#   en paralelle => demande de l'utilisatrice)
# un troisieme écran à gauche
# le script ne passe pas via arandr, je ne sais pas pourquoi... 
# je l'ai installé dans les menus de lxde
# -------------------------------------------------------------------------
# R. Suinot <remi@suinot.org>
# -------------------------------------------------------------------------
# 1ère version: 12 juillet 2020
# -------------------------------------------------------------------------

XRANDR=/usr/bin/xrandr
XSETWACOM=/usr/bin/xsetwacom

# positionnement des écrans: la valeur --pos 1600x0 permet de plasser qui on veut la ou on veut
# 1600 => taille de l'écran supplémentaire
$XRANDR --output eDP-1 --primary --mode 1920x1080 --pos 1600x0 --rotate normal \
	--output HDMI-1 --mode 1920x1080 --pos 1600x0 --rotate normal \
	--output DP-1 --off \
	--output HDMI-2 --off \
	--output DP-1-1 --off \
	--output DP-1-2 --off \
	--output DP-1-3 \
	--mode 1600x900 --pos 0x0 --rotate normal

# Trouvé dans la doc du Linux Wacom Project:
# https://linuxwacom.github.io/
# le stylet se décale toujours de la taille de l'écran supplémentaire. Pour éviter ça, on map
# la tablet sur l'écran qu'on veut, ici le portable eDP-1
$XSETWACOM set "Wacom Cintiq 13HD Pen stylus" MapToOutput eDP-1

exit 0
